#ifndef LIP_OPCUA_SERVER_TREE_STD_DATATYPES_H
#define LIP_OPCUA_SERVER_TREE_STD_DATATYPES_H

struct st_lip_opcua_tree_item;
struct st_lip_opcua_tree_item_descr_datatype;

extern const struct st_lip_opcua_tree_item_descr_datatype g_lip_opcua_tree_datatype_descr_abstarct;
extern const struct st_lip_opcua_tree_item_descr_datatype g_lip_opcua_tree_datatype_descr_concrete;



extern const struct st_lip_opcua_tree_item_descr_object g_lip_opcua_tree_obj_descr_noevt;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_base;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_boolean;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_number;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_integer;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_uinteger;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_sbyte;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_int16;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_int32;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_int64;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_byte;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_uint16;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_uint32;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_uint64;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_counter;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_integer_id;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_index;


extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_float;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_double;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_decimal;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_duration;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_version_time;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_access_restriction;



extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_bytestring;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_string;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_localized_text;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_date_time;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_utc_time;


extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_nodeid;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_expaneded_nodeid;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_guid;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_xml_element;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_status_code;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_qualified_name;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_data_value;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_diagnostic_info;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_datatype_def;









#endif // LIP_OPCUA_SERVER_TREE_STD_DATATYPES_H
